import 'package:flutter/material.dart';

class HelpPage extends StatelessWidget {
  const HelpPage({
    super.key,
  });

  @override
  Widget build(BuildContext context) {
    final theme = Theme.of(context);

    return Column(
      children: [
        Expanded(
          child: Padding(
            padding: const EdgeInsets.all(8.0),
            child: Container(
              decoration: BoxDecoration(
                borderRadius: BorderRadius.circular(4),
                color: theme.colorScheme.onPrimary,
              ),
              child: Column(
                children: [
                  Text("This app is meant to be a simple budgeting tool,"
                      " allowing you to view your income and expenses at a high level"
                      " without micro managing specific budget items or adding receipts."),
                  //Text("Another paragraph.")
                ],
              ),
            ),
          ),
        ),
        Row(
          children: [
            Expanded(
              child: Padding(
                padding: const EdgeInsets.all(8.0),
                child: Container(
                  decoration: BoxDecoration(
                    borderRadius: BorderRadius.circular(4),
                    color: theme.colorScheme.onPrimary,
                  ),
                  child: TextButton.icon(
                    onPressed: () {},
                    icon: Icon(Icons.code),
                    label: Text("Code Repository"),
                  ),
                ),
              ),
            ),
            Expanded(
              child: Padding(
                padding: const EdgeInsets.all(8.0),
                child: Container(
                  decoration: BoxDecoration(
                    borderRadius: BorderRadius.circular(4),
                    color: theme.colorScheme.onPrimary,
                  ),
                  child: TextButton.icon(
                    onPressed: () {},
                    icon: Icon(Icons.web_asset),
                    label: Text("Personal Website"),
                  ),
                ),
              ),
            ),
          ],
        )
      ],
    );
  }
}
